Package org.apache.wiki.auth.acl

## Class AclImpl

- java.lang.Object
- - org.apache.wiki.auth.acl.AclImpl

All Implemented Interfaces:
  `java.io.Serializable`, `Acl`, `Acl`

    public class AclImpl
    extends java.lang.Object
    implements Acl, java.io.Serializable

JSPWiki implementation of an Access Control List.

Since:
  2.3
See Also:
  Serialized Form

### Constructor Summary

Constructors
`AclImpl()` Constructs a new AclImpl instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Enumeration<AclEntry>` `aclEntries()`
`boolean` `addEntry​(AclEntry entry)`
`java.security.Principal[]` `findPrincipals​(java.security.Permission permission)`
`AclEntry` `getAclEntry​(java.security.Principal principal)`
`boolean` `isEmpty()`
`boolean` `removeEntry​(AclEntry entry)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.wiki.auth.acl.Acl

`addEntry, entries, getEntry, removeEntry`

### Constructor Detail

#### AclImpl

    public AclImpl()

Constructs a new AclImpl instance.

### Method Detail

#### findPrincipals

    public java.security.Principal[] findPrincipals​(java.security.Permission permission)

Specified by:
  `findPrincipals` in interface `Acl`

#### addEntry

    public boolean addEntry​(AclEntry entry)

Specified by:
  `addEntry` in interface `Acl`

#### removeEntry

    public boolean removeEntry​(AclEntry entry)

Specified by:
  `removeEntry` in interface `Acl`

#### aclEntries

    public java.util.Enumeration<AclEntry> aclEntries()

Specified by:
  `aclEntries` in interface `Acl`

#### getAclEntry

    public AclEntry getAclEntry​(java.security.Principal principal)

Specified by:
  `getAclEntry` in interface `Acl`

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Acl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`